1

I am trying to learn more about linux by exploring r/unixporn. I am running on Debian Jessie Xfce and I encountered following situation:
apt-get install libperl-dev git clone https://github.com/exg/rxvt-unicode.git ./configure --prefix=/usr --enable-everything && make

Error:
No rule to make target '../libptytty/src/ecb.h', needed by 'rxvt.o'

I tried to install all packages returned from apt-file search ecb.h - it didn't help. I did also find this github repository but I don't know what to do with that. While I was having no idea what I was doing I just copy/pasted this lib into /usr/local/lib. It didn't help either. Now I am stuck :f

2

The three libraries that are within that repo give back a 404. You can get their contents here https://github.com/yusiwen. Just clone them in the very same directory you've just cloned urxvt and it should comply.

1
  • Thank you for the clone suggestion. It turns out that git clone --recursive git@github.com:yusiwen/rxvt-unicode.git solved a problem. – Sebastian Aug 12 '16 at 23:20
0

There's no library in the github rep (only the header file). Reading it, it appears to be self-contained. If you put that in /usr/local/include, that particular problem would be solved.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.